classdef iflooriround_test < genlib_test
  % Tests for ifloor and iround
  %
  % [+GenLib General Purpose Library+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved.
  
  methods (Test)

    function test_iflooriroundmex(testCase)
      table = 1:10;
      X = [pi,exp(1)];
      W = 0;

      % Verify iflooriroundmex errors when empty table is used
      testCase.verifyError(@() iflooriroundmex([],X,W),'iflooriroundmex:emptyT');
    end
  end
  
end
